%global modulename socks-proxy-agent

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-socks-proxy-agent
Version:        4.0.1
Release:        1%{?dist}
Summary:        A SOCKS proxy `http.Agent` implementation for HTTP and HTTPS

License:        MIT
URL:            https://github.com/TooTallNate/node-socks-proxy-agent#readme
Source0:        https://registry.npmjs.org/socks-proxy-agent/-/socks-proxy-agent-4.0.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(agent-base) >= 4.2.0 with npmlib(agent-base) < 4.3.0))
BuildRequires:  ((npmlib(socks) >= 2.2.0 with npmlib(socks) < 2.3.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
A SOCKS proxy `http.Agent` implementation for HTTP and HTTPS

%package 4.0.1
Summary:        A SOCKS proxy `http.Agent` implementation for HTTP and HTTPS


%description 4.0.1
A SOCKS proxy `http.Agent` implementation for HTTP and HTTPS

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc History.md
%doc README.md
%{nodejs_dir}/%{modulename}

%files 4.0.1
%doc History.md
%doc README.md
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 4.0.1-1
- Package automatically generated by npm2srpm
